/*
Theme Name:         RV Gap
Template:      	    tsg-pinnacle-woo
Theme URI:          https://www.fusiontechmedia.com/
Description:
Version:            1.0
Author:             Fusion Tech Media
Author URI:         https://www.fusiontechmedia.com/

License:            For use by Fusion Tech Media only.
*/

/* LANDING PAGE */


/* END OF LANDING PAGE */

/* 99% of website */
/* General Styling */
@media (max-with: 550px){
    body, html {
        overflow-x: hidden !important;
    }
}

body {
    position: relative;
    overflow: hidden;
}

.woocommerce-account .bodyWrapper {
    min-height: calc(100vh - 256px)
}

.background_1 {
    background: #047a4b;
    color: #fff;
}

.background_1:focus,
.background_2:focus {
    color: #fff;
}

.background_2 {
    background: #A72525;
    color: #fff;
}

.wpcf7-form > p label {
    position: relative !important;
    top: 100%;
}

.quiz{
    margin-top: 20px;
    padding: 0;
}

#cmplz-document, .editor-styles-wrapper .cmplz-unlinked-mode {
    max-width: 100%;
}

.tsg-buttons.background_1:not(.hero-button):hover,
.tsg-buttons.background_2:not(.hero-button):hover {
    color: #fff !important;
}

.color_1 {
    color: #047a4b;
}

h2 {
    font-size: 1.5rem;
}

.pageContent li:before {
    font-family: "Font Awesome 5 Free";
    vertical-align: middle;
    font-size: .4rem;
    font-weight: 900;
    color: #047a4b;
    vertical-align: middle;
}

body .tsg-buttons {
    border-radius: 0;
    padding: 10px 25px;
    text-transform: uppercase;
    line-height: normal;
    font-family: inherit;
    border: none;
    letter-spacing: normal;
    display: inline-block;
    font-size: 1.1rem;
}

body.home .bodyWrapper {
    padding-bottom: 0px;
}

body .tsg-buttons:not(.disabled):hover {
    color: inherit;
    transition: all .2s;
    transform: scale(1.05);
}

body .tsg-buttons.disabled {
    opacity: .4 !important;
    cursor: default;
}

button.tsg-buttons, a.tsg-buttons {
    text-transform: none;
    font-size: 1.1rem;
    padding: 15px 25px;
    height: auto;
    font-weight: 500;
}

#pinnacleMainContent .tsg-buttons {
    margin-bottom: 1rem;
}

.heroTheme8 {
    line-height: normal;
}

/* Navbar */
#pinnacleHeader {
    position: static !important;
}

#navbarTheme3.pinnacleMainNavBar {
    padding: 20px 0;
    background: #fff;
    /*box-shadow: 2px 2px 8px #d6d6d6;*/
    /*z-index: 1;*/
}

#navbarTheme3.pinnacleMainNavBar.sticky {
    /*padding: 10px 0;*/
    background: #fff;
}
/*
body #navbarTheme3.sticky .logo-wrapper img {
    max-height: 100px;
}

.mainHeader #navbarTheme3.sticky  .logo-wrapper {
    min-width: 110px;
}
*/
.navbar-flex-container {
    align-items: end;
}

.mainHeader .logo-wrapper {
    min-width: 120px;
}

body #navbarTheme3 .logo-wrapper img {
    max-height: 110px;
    position: absolute;
    z-index: 3;
    top: -10px;
    left: 0;
}

#pinnacleMainNav {
    margin: 0;
    font-weight: bold;
    text-transform: uppercase
}

#pinnacleHeader .tsg-buttons {
    border: 2px solid #047a4b;
    line-height: normal;
}

#pinnacleHeader a.tsg-buttons,
#pinnacleHeader #menu-header-menu a {
    padding: 5px 10px;
}

#pinnacleHeader #menu-header-menu .tsg-buttons {
    border-color: black;
}

.mobileMenuToggle {
    margin-left: 1rem;
}

#menu-header-menu li.mobile-only-item {
    display: none !important;
}

.woocommerce-button,
.woocommerce-Button,
.subscription_details .button,
#early_renewal_modal_submit {
    text-transform: none !important;
    font-size: 1rem !important;
    font-weight: 500 !important;

    border-radius: 0;
    padding: 10px 25px;
    text-transform: uppercase;
    line-height: normal;
    font-family: inherit;
    border: none;
    letter-spacing: normal;
    display: inline-block;

    background: #047a4b !important;
    color: white !important;
}

.woocommerce-button:not(.disabled):hover,
.woocommerce-Button:not(.disabled):hover,
.subscription_details .button:hover,
#early_renewal_modal_submit:hover {
    transition: all .2s;
    transform: scale(1.05);
}

@media screen and (max-width: 1024px){
    .tsg-menu-class ul {
        display: grid;
    }
    li.tsg-buttons.claims{
        order: 1;
        border: none !important;
    }
    #pinnacleMainNav .tsg-menu-class li.mobile-only-item {
        display: block !important;
        background: #047a4b !important;
        color: #fff;
    }
    #pinnacleMainNav .tsg-menu-class li.mobile-only-item a{
        color: #fff;
    }
}

/* Hero */
.heroTheme8 {
    box-shadow: none !important;
}

.heroTheme8.tsg-hero-video {
    min-height: 250px;
    height: auto;
    padding: 20px 0;
}

.tsg-hero-video.heroTheme8 a{
    text-decoration: underline;
}

.home .heroTheme8.tsg-hero-video {
    min-height: 450px;
    height: auto;
}

body.home div.tsg-hero-video {
    background-position: center 75%;
}

div.tsg-hero-video {
    background-position: center 63%;
}

.heroTheme8::before {
    content: '';
    height: 100%;
    width: 60%;
    position: absolute;
    left: 0;
    top: 0;
    background: rgb(243,243,243);
    background: -moz-linear-gradient(105deg, rgba(243,243,243,1) 6%, rgba(243,243,243,0) 81%);
    background: -webkit-linear-gradient(105deg, rgba(243,243,243,1) 6%, rgba(243,243,243,0) 81%);
    background: linear-gradient(105deg, rgba(243,243,243,1) 6%, rgba(243,243,243,0) 81%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#f3f3f3",endColorstr="#f3f3f3",GradientType=1);
}

.heroTheme8 .home_text {
    text-align: left;
    color: black;
    max-width: 600px;
}

/*.tsg-hero-video .hero-button {*/
/*    border: 3px solid #ffffff;*/
/*    background: linear-gradient(90deg, rgb(30 106 56) 0%, rgb(27 157 10) 100%);*/
/*    border-radius: 40px;*/
/*    color: #fff;*/
/*    text-decoration: none !important;*/
/*}*/

.tsg-hero-video .hero-button {
    text-decoration: none !important;
}

body .tsg-buttons:not(.disabled).hero-button:hover {
    color: white;
}

a.background_1.tsg-buttons.hero-button::after {
    content: "";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f105";
    margin-left: 8px;
}

.tsg-hero-video .hero-button:hover {
    color: #047a4b;
}

.pinnacleMainNavBar .mobileRightWrapper .tsg-buttons {
    margin-top: 10px;
}

@media (max-width: 800px){
    .heroTheme8::before {
        width: 100%;
    }
}

@media (min-width: 2000px){
    .home  .heroTheme8.tsg-hero-video {
        height: 60vw;
        max-height: 70vh;
    }
}

@media screen and (max-width: 1024px){
    #pinnacleMainNav .tsg-menu-class > #menu-header-menu > li {
        border-bottom: none !important;
    }

    #pinnacleMainNav .tsg-menu-class > #menu-header-menu > li:not(:first-of-type):not(:last-of-type) {
        border-top: 1px solid rgba(0,0,0,.1);
    }

    #pinnacleMainNav .tsg-menu-class > #menu-header-menu > li a {
        padding: 10px;
    }

    #menu-header-menu .tsg-buttons {
        border: none;
        margin-top: 1rem;
    }

    #menu-header-menu .tsg-buttons a {
        width: auto;
        max-width: 100%;
        border: 2px solid black;
        display: inline-block !important;
        width: auto !important;
    }

    #menu-header-menu .tsg-buttons:hover {
        transform: scale(1) !important;
    }
}

body.woocommerce-account #navbarAccountButton {
    display: none !important;
}

.mmOpen .tsg-buttons.menu-item {
    text-align: center;
}


/* Info icons wrapper */
.icon-info-wrapper {
    line-height: normal;
    padding: 1rem 0 1.5rem;
}

.icon-info-wrapper .icon-info {
    margin-bottom: 1.5rem;
}

.icon-info-wrapper i {
    display: block;
    margin-bottom: .5rem;
    font-size: 2rem;
    min-height: 32px;
}

@media (max-width: 800px) and (min-width: 550px){
    .icon-info-wrapper .icon-info.two.columns {
        width: 30%;
    }

    .icon-info-wrapper .icon-info.two.columns:nth-of-type(4){
        margin-left: 0;
    }
}


/* Home */
body.home h2{
    font-weight: bolder;
    text-transform: uppercase;
}

.home .pageContent {
    padding-top: 0;
}

.front-page-info-section,
.worry-free-section {
    padding: 1rem 0 0;
}

.front-page-commitment {
    padding: 3rem 0;
}

div#home-commitment .row{
    display: flex;
    align-items: center;
}

.front-page-info-section iframe {
    max-width: 100%;
}

#home-check-it-out .wp-video {
    margin: 0 auto;
}

@media (max-width: 900px){
    .front-page-info-section .row,
    .front-page-commitment .row {
        text-align: center;
    }
    .front-page-commitment .row img {
        margin: 0 auto;
    }
    .front-page-info-section .row > .columns.six,
    .front-page-commitment .row > .columns.six{
        width: 100%;
        margin: 0 0 1rem 0;
    }
    div#home-commitment .row{
        display: block;
    }
    body.home .reviewsTheme1 .reviewAuthorName,
    body.home .reviewsTheme1 .facReview{
        text-align: center;
    }
    body.home div.tsg-hero-video {
        background-position: 85% 75%;
    }
    .heroTheme8 .home_text {
        text-align: center;
        max-width: 100%;
    }
    div.tsg-hero-video .overlay {
        background-color: rgb(214 214 214);
    }
}

/* Footer */

/*body.home footer {*/
/*    margin-top: 0;*/
/*}*/

/*.bottomFooterWrapper {*/
/*    font-size: 0.7rem;*/
/*}*/

/* Contact */
.wpcf7 form {
    padding: 0px;
}
input.wpcf7-form-control.has-spinner.wpcf7-submit {
    background: #047a4b;
    color: #fff;
    letter-spacing: inherit;
    font-size: 0.8rem;
    border-radius: 0;
    border: none;
    font-weight: 500 !important;
}

.wpcf7-submit:hover {
    color: inherit;
    transition: all .2s;
    transform: scale(1.02);
}

.wpcf7-form > p {
    font-size: 16px;
    font-family: sans-serif;
    position: relative;
    padding-bottom: -.5em;
}
.wpcf7-form > p label {
    /*position: absolute;*/
    /*top: 62%;*/
    /*transform: translateY(-50%);*/
    /*pointer-events: none;*/
    /*font-weight: normal;*/
    /*transition: top 0.2s;*/
    /*color: #000000;*/
}
.wpcf7-form input.wpcf7-text {
    border: none;
    border-bottom: 1px solid #7b7b7b4a;
    border-radius: 0;
    padding: 15px 0px;
    width: 100%;
    background-color: transparent;
}
.wpcf7-form label.has-value {
    top: 20px;
    font-size: 11px;
}

.wpcf7-submit {
    color: #ffffff!important;
    letter-spacing: normal;
    font-size: 1.1rem !important;
    padding: 15px 10px !important;
    transition: all 300ms ease 0ms;
    text-transform: none !important;
    height: auto !important;
    line-height: normal !important;

}

.wpcf7-not-valid-tip {
    /*position: absolute;*/
    /*top: 35px;*/

}
textarea#your-message {
    margin-top: 10px;
}

/* Login */
.woocommerce-form-login.login,
.woocommerce-account.woocommerce-lost-password .woocommerce,
.woocommerce-form-register.register {
    max-width: 550px;
    margin: 0 auto !important;
    border: none !important;
}

body.woocommerce-account h2 {
    text-align: center;
    margin: 0;
}

#customer_login .u-column1.col-1,
#customer_login .u-column2.col-2 {
    float: none;
    margin: 0 auto;
}

#customer_login .u-column2.col-2 {
    display: none;
}

#customer_login a {
    text-decoration: underline;
}


/* Account Page */
.account-menu-wrapper {
    min-height: calc(100vh - 420px);
}

.woocommerce-MyAccount-navigation {
    display: none;
}

.woocommerce-account .woocommerce-MyAccount-content {
    float: none;
    width: 100%;
    text-align: center;
}

.account-menu {
    width: 100%;
    max-width: 550px;
    margin: 0 auto 0;
}

.account-menu .flex-container {
    justify-content: center;
}

.account-menu .flex-item {
    width: 100%;
}

.account-menu .tsg-buttons {
    width: calc(100% - 50px);
    border-radius: 500px;
    padding: 15px 25px;
}

@media (min-width: 350px){
    .account-menu .flex-container {
        flex-direction: row !important;
    }

    .account-menu .flex-item {
        max-width: 50%;
    }
}

.protectionFormWrapper {
    min-height: calc(100vh - 400px);
    max-width: 95%;
    margin: 0 auto;
}

.protectionFormWrapper > div {
    width: 95%;
    max-width: 600px;
}


/* Review Order */
#reviewPaymentWrapper hr {
    margin: 1rem 0;
}

.reviewOrderRow {
    margin: .5rem 0 0;
    padding-top: .5rem;
}

.reviewOrderRow:first-of-type {
    margin-top: 0;
    border-top: 0;
    padding: 0;
}

.reviewOrderRow .reviewOrderLabel {
    padding: 0;
    color: #595959;
    font-weight: bold;
}

.reviewOrderRow .reviewOrderText {
    padding: 0;
}

.reviewOrderList {
    margin-bottom: 1rem;
}

.reviewHeader {
    padding: 1rem 0 0;
    margin: .75rem 0 1rem;
    font-weight: bold;
    font-size: 1.2rem;
    border-top: 1px solid rgba(0,0,0,.1);
}

.reviewOrderRow.hidden {
    display: none !important;
    margin: 0;
    padding: 0;
}

@media (min-width: 401px){
    .reviewOrderRow {
        width: 49%;
        display: inline-block;
    }

    .reviewOrderRow:nth-of-type(2) {
        border-top: 0;
        margin-top: 0;
        padding-top: 0;
    }
}


.textUnderline {
    text-decoration: underline !important;
}

/* Woocommerce Notices */
.woocommerce-notices-wrapper ul {
    padding: 1em 2em 1em 3.5em;
}

.woocommerce-error {
    border-color: #b81c23 !important;
}

.woocommerce-info::before {
    color: #047a4b;
}

.woocommerce-message {
    border-color: #8fae1b !important;
}

.woocommerce-notices-wrapper ul li::before {
    display: none;
}

.woocommerce-error,
.woocommerce-info,
.woocommerce-message {
    border-radius: 4px;
    border: 2px solid #047a4b;
}

/* Input Wrapper */

.inputWrapper label {
    text-align: left;
}

.inputWrapper select,
.inputWrapper input {
    width: 100%;
}

.inputWrapper .form-row {
    padding: 0;
}

.inputWrapper abbr.required {
    text-decoration: none;
}

.inputGroupWrapper.flex-container .flex-item {
    width: 50%;
}


/* Account Page */

.woocommerce-MyAccount-content .woocommerce_account_subscriptions table {
    border-collapse: collapse;
}

.woocommerce-MyAccount-content .woocommerce_account_subscriptions table td {
    padding-top: 8px;
    padding-bottom: 8px;
}

.woocommerce-MyAccount-content .woocommerce_account_subscriptions table,
.woocommerce-MyAccount-content .woocommerce_account_subscriptions table th,
.woocommerce-MyAccount-content .woocommerce_account_subscriptions table td {
    border: none;
}

.woocommerce-MyAccount-content .woocommerce_account_subscriptions table tr:nth-of-type(even){
    background: #f1f1f1f1;
}

.woocommerce table.my_account_orders .button {
    width: 100%;
}

.woocommerce-account .backToAccount {
    display: inline-block;
    margin-bottom: 1rem;
}

.woocommerce-account .backToAccount:hover {
    color: inherit;
    opacity: .7;
}

/* No subcriptions exist */
.woocommerce-account .no_subscriptions {
    display: none;
    border: 1px solid rgba(0,0,0,.1) !important;
    padding: 1rem 3rem;
}

.woocommerce-account .no_subscriptions:before {
    display: none;
}

.woocommerce-account .no_subscriptions .woocommerce-Button {
    float: none !important;
    display: inline-block;
    margin-top: .5rem;
}

/* Edit account page */
.woocommerce-account .edit-account {
    background: #f1f1f1;
    padding: 2rem;
    border-radius: 8px;
}


/* Single Policy Page */
.woocommerce-account.woocommerce-view-subscription .woocommerce-MyAccount-content *,
.woocommerce-account.woocommerce-view-order .woocommerce-MyAccount-content * {
    box-sizing: border-box;
}

.woocommerce-account.woocommerce-view-subscription table,
.woocommerce-account.woocommerce-view-order table {
    border-collapse: collapse;
}

.woocommerce-account table,
.woocommerce-account th,
.woocommerce-account td {
    border: none !important;
}

.woocommerce-account td,
.woocommerce-account tfoot th {
    border-top: 1px solid rgba(0,0,0,.1) !important;
}

.woocommerce-account.woocommerce-view-subscription .woocommerce-customer-details,
.woocommerce-account.woocommerce-view-order .woocommerce-customer-details {
    margin-bottom: 0;
}

.woocommerce-account .woocommerce-customer-details address {
    margin-top: 1rem;
    border: 1px solid rgba(0,0,0,.1);
    border-radius: 8px;
    background: #f6f6f6;
    padding: 10px 15px;
}

.woocommerce-account .woocommerce-customer-details p:last-of-type {
    padding-bottom: 0;
}

.subscription_details .button.change_payment_method {
    display: none;
}

.subscription_details .button {
    margin-bottom: 1rem !important;
}

.wcs_early_renew_modal_totals_table {
    overflow: auto;
}

.woocommerce-account .order_item .remove_item,
.woocommerce-account  .product-remove {
    display: none !important;
}

.woocommerce-account .wcs_early_renew_modal_totals_table {
    margin-bottom: 0;
}

/* Single Order Page */
.woocommerce-account mark {
    background: transparent;
}

/* Landing Page CSS */
#boxed-wrapper {
    overflow-x: clipped;
}

#wrapper {
    width: 100%;
    max-width: none;
    overflow: visible;
    background-color: var(--content_bg_color);
}

#home {
    position: relative;
    top: -1px;
}

@media only screen and (min-width: 801px) {
    .fusion-header-wrapper {
        left: 0;
        right: 0;
        position: absolute;
        z-index: 10000;
    }
}
